#ifndef APP_H
#define X11APP_H

#include <string>

#include <X11/Xlib.h>

class X11Window
   {
   public:
   X11Window(Display * dpy,
	     const std::string& win_name,
	     int x, int y,
	     unsigned int width, unsigned int height);

   std::string name;
   Window win;
   };

class X11App
   {
   public:

   X11App(const std::string & appname);
   ~X11App();

   void run(void);

   private:
   X11App();
   X11App(const X11App & a);
   X11App operator=(const X11App&);

   std::string button_state_string(unsigned int state);

   X11Window * main_win;
   Display * dpy;
   long event_mask;
   Atom wm_delete_window;

   };

#endif
